# Interface ICefV8StackFrame

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefV8StackFrame = interface(ICefBaseRefCounted)`

## Description

Interface representing a V8 stack frame handle. V8 handles can only be accessed from the thread on which they are created. Valid threads for creating a V8 handle include the render process main thread (TID_RENDERER) and WebWorker threads. A task runner for posting tasks on the associated thread can be retrieved via the ICefv8context.GetTaskRunner() function.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_v8_capi.h">CEF source file: /include/capi/cef_v8_capi.h (cef_v8_stack_frame_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefV8StackFrame

## Overview

### Methods

| `function IsValid: Boolean;`
| `function GetScriptName: ustring;`
| `function GetScriptNameOrSourceUrl: ustring;`
| `function GetFunctionName: ustring;`
| `function GetLineNumber: Integer;`
| `function GetColumn: Integer;`
| `function IsEval: Boolean;`
| `function IsConstructor: Boolean;`

### Properties

| `property ScriptName : ustring read GetScriptName;`
| `property ScriptNameOrSourceUrl : ustring read GetScriptNameOrSourceUrl;`
| `property FunctionName : ustring read GetFunctionName;`
| `property LineNumber : Integer read GetLineNumber;`
| `property Column : Integer read GetColumn;`

## Description

### Methods

| `function IsValid: Boolean;`
Returns true (1) if the underlying handle is valid and it can be accessed on the current thread. Do not call any other functions if this function returns false (0). ###### Attributes GUID['{BA1FFBF4-E9F2-4842-A827-DC220F324286}']

| `function GetScriptName: ustring;`
Returns the name of the resource script that contains the function.

| `function GetScriptNameOrSourceUrl: ustring;`
Returns the name of the resource script that contains the function or the sourceURL value if the script name is undefined and its source ends with a "//@ sourceURL=..." string.

| `function GetFunctionName: ustring;`
Returns the name of the function.

| `function GetLineNumber: Integer;`
Returns the 1-based line number for the function call or 0 if unknown.

| `function GetColumn: Integer;`
Returns the 1-based column offset on the line for the function call or 0 if unknown.

| `function IsEval: Boolean;`
Returns true (1) if the function was compiled using eval().

| `function IsConstructor: Boolean;`
Returns true (1) if the function was called as a constructor via "new".

### Properties

| `property ScriptName : ustring read GetScriptName;`
Returns the name of the resource script that contains the function.

| `property ScriptNameOrSourceUrl : ustring read GetScriptNameOrSourceUrl;`
Returns the name of the resource script that contains the function or the sourceURL value if the script name is undefined and its source ends with a "//@ sourceURL=..." string.

| `property FunctionName : ustring read GetFunctionName;`
Returns the name of the function.

| `property LineNumber : Integer read GetLineNumber;`
Returns the 1-based line number for the function call or 0 if unknown.

| `property Column : Integer read GetColumn;`
Returns the 1-based column offset on the line for the function call or 0 if unknown.

Generated by PasDoc 0.16.0-snapshot.